#rank.rank {
  position: relative;
  width: 100%;
  min-width: 1366px;
  background: #F4F7FC;
  font-family: Noto Sans SC, Noto Sans SC;
  padding-top: 122px;
  padding-bottom: 50px;
}
#rank .top-nav {
  background: #fff;
  padding: 20px 0 16px;
  border-bottom: 1px solid rgba(11, 45, 69, 0.06);
  position: sticky;
  top: 122px;
  z-index: 5;
}
#rank .top-nav .nav {
  display: flex;
  justify-content: space-between;
}
#rank .top-nav .nav .btns {
  display: flex;
  align-items: center;
}
#rank .top-nav .nav .btns .border {
  width: 2px;
  height: 13px;
  background: #262626;
  opacity: 0.1;
  margin: 0 26px;
}
#rank .top-nav .nav .btns .btn {
  background: transparent;
  line-height: 19px;
  font-size: 16px;
  font-weight: 500;
  color: #0B2D45;
  border-radius: 4px;
  padding: 10px 20px;
  margin-left: 0;
  cursor: pointer;
}
#rank .top-nav .nav .btns .btn:hover {
  background: rgba(11, 45, 69, 0.05);
  color: #0B2D45;
}
#rank .top-nav .nav .btns .btn.active {
  background: #0B2D45;
  font-weight: 400;
  color: #fff;
}
#rank .top-nav .nav .btns .btn:last-child {
  margin-left: 30px;
}
#rank .top {
  height: 275px;
  background-color: #fff;
  margin-top: -76px;
}
#rank .top .top-container {
  padding-top: 136px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
#rank .top .top-container .title .title-name {
  width: fit-content;
  line-height: 46px;
  font-size: 38px;
  font-weight: bold;
  color: #0B2D45;
  position: relative;
}
#rank .top .top-container .title .title-name span {
  color: #2E50FA;
}
#rank .top .top-container .title .title-name::after {
  content: '';
  width: 41px;
  height: 26px;
  background: url(/assets/images/rank/rank-list/icon-title.png) no-repeat center center;
  background-size: 100%;
  position: absolute;
  top: 50%;
  right: -53px;
  transform: translateY(-50%);
}
#rank .top .top-container .title .title-desc {
  width: fit-content;
  line-height: 17px;
  font-size: 14px;
  color: #414C60;
  margin-top: 16px;
}
#rank .top .top-container .top-data-content {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 40px;
}
#rank .top .top-container .top-data-content .top-data-item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  gap: 16px;
}
#rank .top .top-container .top-data-content .top-data-item .count {
  line-height: 32px;
  font-size: 28px;
  font-weight: bold;
  color: #0B2D45;
  display: flex;
  align-items: flex-end;
}
#rank .top .top-container .top-data-content .top-data-item .count .blue {
  font-size: 26px;
  color: #2E50FA;
  margin-left: 6px;
}
#rank .top .top-container .top-data-content .top-data-item .count .blue.min {
  font-size: 18px;
}
#rank .top .top-container .top-data-content .top-data-item .top-data-name {
  line-height: 17px;
  font-size: 14px;
  color: #6B7A8D;
}
#rank .top .top-container .top-data-content .border {
  width: 2px;
  height: 55px;
  background: #EFF1F3;
}
#rank .container {
  padding: 68px 0 58px;
}
#rank .container .container-tabs {
  display: flex;
  gap: 28px;
}
#rank .container .container-tabs .tab-item {
  width: 236px;
  background: #EBF0FA;
  border-radius: 6px;
  padding: 16px 0;
  line-height: 24px;
  font-size: 20px;
  color: #4A5568;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
#rank .container .container-tabs .tab-item::before {
  content: '';
  width: 6px;
  height: 6px;
  background: #DFE4EA;
  border: 4px solid #BEC9D6;
  border-radius: 50%;
}
#rank .container .container-tabs .tab-item.active {
  background: #0B2D45;
  font-weight: bold;
  color: #fff;
}
#rank .container .container-tabs .tab-item.active::before {
  background: #fff;
  border-color: #3C576A;
}
#rank .container .score-box {
  background: #EDF1F7;
  border-radius: 6px;
  margin-top: 40px;
  padding: 24px 32px;
}
#rank .container .score-box .score-title {
  line-height: 22px;
  font-size: 18px;
  font-weight: bold;
  color: #414C60;
  margin-bottom: 12px;
}
#rank .container .score-box .text {
  line-height: 24px;
  font-size: 14px;
  color: #6B7A8D;
  margin-top: 6px;
}
#rank .container .score-box .text:last-child {
  margin-top: 0;
}
#rank .container .score-box .text span {
  font-weight: bold;
}
#rank .container .score-box .data {
  margin-top: 16px;
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
}
#rank .container .score-box .data .data-item {
  background: rgba(255, 255, 255, 0.7);
  border-radius: 4px;
  opacity: 0.8;
  padding: 6px 20px;
  line-height: 24px;
  font-size: 14px;
  color: var(--color);
  display: flex;
  align-items: center;
  gap: 10px;
}
#rank .container .score-box .data .data-item::before {
  content: '';
  width: 8px;
  height: 8px;
  background: var(--color);
  border-radius: 50%;
}
#rank .container .filter-box {
  margin-top: 60px;
  display: flex;
  justify-content: space-between;
}
#rank .container .filter-box .input-box {
  width: 400px;
  background: url(/assets/images/rank/rank-list/icon-search.png) no-repeat 20px center;
  background-size: 20px;
  background-color: #fff;
  padding: 13px 13px 13px 50px;
  border: 1px solid #DBE2F0;
  border-radius: 6px;
}
#rank .container .filter-box .input-box .input {
  width: 100%;
  line-height: 19px;
  font-size: 16px;
  color: #0B2D45;
  border: 0 none;
  outline: none;
}
#rank .container .filter-box .input-box .input::placeholder {
  color: #6B7A8D;
}
#rank .container .filter-box .filter {
  display: flex;
  align-items: center;
  gap: 18px;
}
#rank .container .filter-box .filter .select {
  width: 130px;
  height: 46px;
  background: url(/assets/images/rank/rank-list/icon-time.png) no-repeat 14px center;
  background-size: 20px;
  background-color: #fff;
  border: 1px solid #DBE2F0;
  border-radius: 6px;
  padding: 12px 18px 12px 40px;
  display: flex;
  align-items: center;
  gap: 4px;
  line-height: 19px;
  font-size: 16px;
  color: #4A5568;
  cursor: pointer;
  position: relative;
}
#rank .container .filter-box .filter .select:hover,
#rank .container .filter-box .filter .select.active {
  border-color: rgba(46, 80, 250, 0.5);
}
#rank .container .filter-box .filter .select.active .icon {
  transform: rotate(180deg);
}
#rank .container .filter-box .filter .select .icon {
  width: 10px;
  height: 20px;
  background: url(/assets/images/rank/rank-list/icon-select-down.png) no-repeat center center;
  background-size: 10px auto;
  transition: all 0.3s ease-in-out;
}
#rank .container .filter-box .filter .select .select-list {
  width: 130px;
  background: #fff;
  box-shadow: 2px 4px 8px 0px rgba(76, 86, 110, 0.12);
  border-radius: 4px;
  padding: 6px 0;
  line-height: 18px;
  font-size: 14px;
  color: #393C5A;
  position: absolute;
  left: 0;
  top: 46px;
}
#rank .container .filter-box .filter .select .select-list .select-list-item {
  padding: 6px 16px;
}
#rank .container .filter-box .filter .select .select-list .select-list-item:hover,
#rank .container .filter-box .filter .select .select-list .select-list-item.active {
  color: #2E50FA;
}
#rank .container .filter-box .filter .tabs {
  display: flex;
}
#rank .container .filter-box .filter .tabs .tab-item {
  padding: 13px 25px 13px 49px;
  background: no-repeat 25px center;
  background-size: 20px;
  background-color: #fff;
  border: 1px solid #DBE2F0;
  line-height: 19px;
  font-size: 16px;
  color: #6B7A8D;
  cursor: pointer;
  position: relative;
}
#rank .container .filter-box .filter .tabs .tab-item:first-child {
  border-radius: 6px 0 0 6px;
  background-image: url(/assets/images/rank/rank-list/icon-position-1.png);
}
#rank .container .filter-box .filter .tabs .tab-item:last-child {
  border-radius: 0 6px 6px 0;
  transform: translateX(-1px);
  background-image: url(/assets/images/rank/rank-list/icon-position-2.png);
}
#rank .container .filter-box .filter .tabs .tab-item:hover {
  border-color: rgba(46, 80, 250, 0.5);
  z-index: 1;
}
#rank .container .filter-box .filter .tabs .tab-item.active {
  background-color: rgba(46, 80, 250, 0.1);
  border-color: #CAD3F1;
  font-weight: 500;
  color: #2E50FA;
}
#rank .container .filter-box .filter .tabs .tab-item.active:first-child {
  background-image: url(/assets/images/rank/rank-list/icon-position-1-act.png);
}
#rank .container .filter-box .filter .tabs .tab-item.active:last-child {
  background-image: url(/assets/images/rank/rank-list/icon-position-2-act.png);
}
#rank .container .filter-box .filter .btn {
  padding: 13px 25px 13px 41px;
  background: url(/assets/images/rank/rank-list/icon-tips-1.png) no-repeat 19px center;
  background-size: 18px;
  background-color: #fff;
  border: 1px solid #DBE2F0;
  border-radius: 6px;
  line-height: 19px;
  font-size: 16px;
  color: #6B7A8D;
  cursor: pointer;
  position: relative;
}
#rank .container .filter-box .filter .btn:hover {
  border-color: rgba(46, 80, 250, 0.5);
}
#rank .container .container-box {
  margin-top: 36px;
}
#rank .container .container-box .title {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#rank .container .container-box .title .title-name {
  background: url(/assets/images/rank/rank-list/icon-rank.png) no-repeat left center;
  background-size: 40px;
  padding-left: 50px;
  line-height: 40px;
  font-size: 30px;
  font-weight: bold;
  color: #0B2D45;
}
#rank .container .container-box .title .tips {
  background: url(/assets/images/rank/rank-list/icon-tips-2.png) no-repeat left center;
  background-size: 18px;
  padding-left: 22px;
  line-height: 19px;
  font-size: 16px;
  color: #6B7A8D;
}
#rank .container .container-box .table {
  margin-top: 30px;
}
#rank .container .container-box .table .th {
  background: #E5EAF4;
  border-radius: 6px;
  padding: 0 62px 0 20px;
  margin-bottom: 10px;
  display: flex;
  justify-content: space-between;
}
#rank .container .container-box .table .th .td {
  line-height: 19px;
  font-size: 16px;
  color: #414C60;
  text-align: center;
  padding: 19px 0 18px;
}
#rank .container .container-box .table .th .td.t-left {
  text-align: left;
}
#rank .container .container-box .table .th .td.flex1 {
  flex: 1;
}
#rank .container .container-box .table .th .td.w50 {
  width: 50px;
}
#rank .container .container-box .table .th .td.w80 {
  width: 80px;
}
#rank .container .container-box .table .th .td.w100 {
  width: 100px;
}
#rank .container .container-box .table .th .td.w200 {
  width: 200px;
}
#rank .container .container-box .table .th .td.w250 {
  width: 240px;
}
#rank .container .container-box .table .th .td.w300 {
  width: 300px;
}
#rank .container .container-box .table .th .td.w500 {
  width: 500px;
}
#rank .container .container-box .table .t-body .tr {
  background: #fff;
  border-radius: 6px;
  margin-bottom: 6px;
}
#rank .container .container-box .table .t-body .tr:last-child {
  margin-bottom: 0;
}
#rank .container .container-box .table .t-body .tr:hover {
  box-shadow: 0px 6px 16px 0px rgba(24, 34, 55, 0.06);
}
#rank .container .container-box .table .t-body .tr:hover .tr-content .td {
  color: #2E50FA;
}
#rank .container .container-box .table .t-body .tr:hover .tr-content .td .down {
  background-image: url(/assets/images/rank/rank-list/icon-down-blue.png);
}
#rank .container .container-box .table .t-body .tr.open {
  box-shadow: 0px 6px 16px 0px rgba(24, 34, 55, 0.06);
}
#rank .container .container-box .table .t-body .tr.open .tr-content .td .down {
  transform: rotate(180deg);
}
#rank .container .container-box .table .t-body .tr.open .tr-box {
  max-height: 137px;
}
#rank .container .container-box .table .t-body .tr .tr-content {
  padding: 12px 62px 12px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#rank .container .container-box .table .t-body .tr .tr-content .td {
  min-width: 32px;
  line-height: 22px;
  font-size: 18px;
  color: #4A5568;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}
#rank .container .container-box .table .t-body .tr .tr-content .td.flex1 {
  flex: 1;
}
#rank .container .container-box .table .t-body .tr .tr-content .td.w50 {
  width: 50px;
}
#rank .container .container-box .table .t-body .tr .tr-content .td.w80 {
  width: 80px;
}
#rank .container .container-box .table .t-body .tr .tr-content .td.w100 {
  width: 100px;
}
#rank .container .container-box .table .t-body .tr .tr-content .td.w200 {
  width: 200px;
}
#rank .container .container-box .table .t-body .tr .tr-content .td.w250 {
  width: 250px;
}
#rank .container .container-box .table .t-body .tr .tr-content .td.w300 {
  width: 300px;
}
#rank .container .container-box .table .t-body .tr .tr-content .td.w500 {
  width: 500px;
}
#rank .container .container-box .table .t-body .tr .tr-content .td span {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .idx {
  display: block;
  min-width: 32px;
  height: 38px;
  background: no-repeat center center;
  background-size: 100%;
  line-height: 38px;
  font-size: 18px;
  color: #4A5568;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .idx.rank-1 {
  font-size: 0;
  background-image: url(/assets/images/rank/rank-list/icon-rank-1.png);
}
#rank .container .container-box .table .t-body .tr .tr-content .td .idx.rank-2 {
  font-size: 0;
  background-image: url(/assets/images/rank/rank-list/icon-rank-2.png);
}
#rank .container .container-box .table .t-body .tr .tr-content .td .idx.rank-3 {
  font-size: 0;
  background-image: url(/assets/images/rank/rank-list/icon-rank-3.png);
}
#rank .container .container-box .table .t-body .tr .tr-content .td .target-name {
  flex: 1;
  display: flex;
  align-items: center;
  overflow: hidden;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .target-name .first-text {
  width: 42px;
  height: 42px;
  line-height: 42px;
  font-size: 18px;
  font-weight: 500;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  margin-right: 10px;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .target-name .first-text.color1 {
  background: #2E50FA;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .target-name .first-text.color2 {
  background: #6436C0;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .target-name .first-text.color3 {
  background: #EC5F43;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .target-name .first-text.qiye {
  line-height: 16px;
  font-size: 13px;
  padding: 5px;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .target-name .first-text.qiye span {
  display: block;
  width: 100%;
  height: 32px;
  overflow: hidden;
  text-overflow: unset;
  white-space: wrap;
  text-align: center;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .target-name span,
#rank .container .container-box .table .t-body .tr .tr-content .td .target-name a {
  flex: 1;
  text-align: left;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .progress {
  flex: 1;
  display: flex;
  align-items: center;
  gap: 8px;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .progress .progress-bar {
  flex: 1;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .progress .progress-bar .el-progress-bar__outer {
  height: 4px !important;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .progress .count {
  width: 32px;
  word-break: keep-all;
}
#rank .container .container-box .table .t-body .tr .tr-content .td .down {
  width: 24px;
  height: 24px;
  background: url(/assets/images/rank/rank-list/icon-down.png) no-repeat center center;
  background-size: 100%;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}
#rank .container .container-box .table .t-body .tr .tr-box {
  max-height: 0;
  padding: 0 27px 0 30px;
  transition: all 0.3s ease-in-out;
  overflow: hidden;
}
#rank .container .container-box .table .t-body .tr .tr-box .tr-box-content-1 {
  border-top: 1px solid #E5EAF4;
  margin-top: 4px;
  padding: 24px 0;
  display: flex;
  gap: 20px;
}
#rank .container .container-box .table .t-body .tr .tr-box .tr-box-content-1 .content-item {
  flex: 1;
  height: 84px;
  background: #FBFCFE;
  border: 1px solid #DBE2F0;
  border-radius: 6px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 7px;
}
#rank .container .container-box .table .t-body .tr .tr-box .tr-box-content-1 .content-item .count {
  line-height: 14px;
  font-size: 12px;
  color: #6B7A8D;
  display: flex;
  justify-content: center;
  align-items: flex-end;
}
#rank .container .container-box .table .t-body .tr .tr-box .tr-box-content-1 .content-item .count .icon {
  width: 15px;
  margin-right: 10px;
}
#rank .container .container-box .table .t-body .tr .tr-box .tr-box-content-1 .content-item .count .num {
  line-height: 20px;
  font-size: 24px;
  font-weight: bold;
  color: #0B2D45;
  margin-right: 3px;
}
#rank .container .container-box .table .t-body .tr .tr-box .tr-box-content-1 .content-item .text {
  line-height: 17px;
  font-size: 14px;
  color: #6B7A8D;
}
#rank .container .container-box .pagination {
  margin-top: 32px;
}
#rank .container .container-box .pagination .pager a,
#rank .container .container-box .pagination .pager span {
  border-color: #DBE2F0;
  font-size: 14px;
  color: #39435A;
}
#rank .container .container-box .pagination .pager a:hover,
#rank .container .container-box .pagination .pager span:hover {
  color: #2E50FA;
}
#rank .container .container-box .pagination .pager span.current {
  background-color: #2E50FA;
  color: #fff;
}
#rank .container .container-box #bootstrap-5 .pagination .page-item.active {
  background: #2E50FA;
  border-color: #2E50FA;
}
#rank .container .container-box #bootstrap-5 .pagination .page-item .page-link:hover {
  color: #2E50FA;
}
#rank .model {
  margin-bottom: 50px;
}
#rank .model .model-title {
  line-height: 43px;
  font-size: 36px;
  font-weight: bold;
  color: #0B2D45;
}
#rank .model .model-text {
  line-height: 17px;
  font-size: 14px;
  color: #4A5568;
  margin-top: 12px;
  margin-bottom: 58px;
}
#rank .model .model-content {
  background: #fff;
  border-radius: 12px;
  padding: 0 46px 46px;
}
#rank .model .model-content .more {
  min-width: 40px;
  line-height: 16px;
  font-size: 13px;
  color: var(--color, #2E50FA);
  display: flex;
  align-items: center;
  margin-left: auto;
}
#rank .model .model-content .more:hover .icon {
  transform: translateX(4px);
}
#rank .model .model-content .more .icon {
  font-size: inherit;
  font-weight: 500;
  transition: all 0.4s cubic-bezier(0.4, 0, 0.2, 1);
}
#rank .model .model-content .content-title {
  display: flex;
  align-items: center;
  padding: 38px 0 36px;
}
#rank .model .model-content .content-title .title-icon {
  width: 38px;
  margin-right: 9px;
}
#rank .model .model-content .content-title .title-name {
  line-height: 30px;
  font-size: 24px;
  font-weight: bold;
  color: #0B2D45;
}
#rank .model .model-content .content-tabs {
  border-bottom: 1px solid #DBE2F0;
  display: flex;
  gap: 30px;
}
#rank .model .model-content .content-tabs .tab-item {
  padding: 0 25px 14px;
  line-height: 19px;
  font-size: 16px;
  color: #4A5568;
  cursor: pointer;
  position: relative;
}
#rank .model .model-content .content-tabs .tab-item.active {
  font-weight: bold;
  color: #0B2D45;
}
#rank .model .model-content .content-tabs .tab-item.active::after {
  content: '';
  width: 100%;
  height: 4px;
  background: #2E50FA;
  position: absolute;
  bottom: -2px;
  left: 0;
}
#rank .model .model-content .data {
  margin-top: 36px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 32px 0;
}
#rank .model .model-content .data .data-item {
  height: 400px;
  box-shadow: 0px 6px 16px 0px rgba(24, 34, 55, 0.06);
  border: 1px solid #DBE2F0;
  border-radius: 10px;
  padding: 28px 30px;
  display: flex;
  flex-direction: column;
}
#rank .model .model-content .data .data-item.h340 {
  height: 340px;
}
#rank .model .model-content .data .data-item.w490 {
  width: 490px;
}
#rank .model .model-content .data .data-item.w621 {
  width: 621px;
}
#rank .model .model-content .data .data-item.w753 {
  width: 753px;
}
#rank .model .model-content .data .data-item .data-title {
  display: flex;
  align-items: center;
}
#rank .model .model-content .data .data-item .data-title .title-icon {
  width: 24px;
  margin-right: 4px;
}
#rank .model .model-content .data .data-item .data-title .title-name {
  line-height: 24px;
  font-size: 20px;
  font-weight: bold;
  color: #0B2D45;
}
#rank .model .model-content .data .data-item .chart-box {
  flex: 1;
  position: relative;
  display: flex;
  flex-direction: column;
}
#rank .model .model-content .data .data-item .chart-box .yAxis {
  line-height: 16px;
  font-size: 12px;
  color: #B4B8C1;
  position: absolute;
  top: 10px;
  left: 0;
  z-index: 1;
}
#rank .model .model-content .data .data-item .chart-box .xAxis {
  line-height: 16px;
  font-size: 12px;
  color: #B4B8C1;
  position: absolute;
  top: 10px;
  right: 0;
  z-index: 1;
}
#rank .model .model-content .data .data-item .chart {
  flex: 1;
}
#rank .model .model-content .data .data-item .table {
  margin-top: 36px;
}
#rank .model .model-content .data .data-item .table .th {
  background: #E5EAF4;
  border-radius: 4px;
  padding: 0 39px 0 12px;
  display: flex;
  justify-content: space-between;
}
#rank .model .model-content .data .data-item .table .th .td {
  line-height: 17px;
  font-size: 14px;
  color: #6B7A8D;
  text-align: center;
  padding: 9px 0 6px;
}
#rank .model .model-content .data .data-item .table .th .td.t-left {
  text-align: left;
}
#rank .model .model-content .data .data-item .table .th .td.flex1 {
  flex: 1;
}
#rank .model .model-content .data .data-item .table .th .td.w50 {
  width: 50px;
}
#rank .model .model-content .data .data-item .table .th .td.w60 {
  width: 60px;
}
#rank .model .model-content .data .data-item .table .th .td.w75 {
  width: 75px;
}
#rank .model .model-content .data .data-item .table .th .td.w86 {
  width: 86px;
}
#rank .model .model-content .data .data-item .table .th .td.w98 {
  width: 98px;
}
#rank .model .model-content .data .data-item .table .th .td.w114 {
  width: 114px;
}
#rank .model .model-content .data .data-item .table .t-body .tr {
  height: 62px;
  padding: 0 39px 0 12px;
  border-bottom: 1px solid #DBE2F0;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#rank .model .model-content .data .data-item .table .t-body .tr .td {
  line-height: 17px;
  font-size: 14px;
  color: #414C60;
  text-align: center;
}
#rank .model .model-content .data .data-item .table .t-body .tr .td span {
  max-height: 34px;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}
#rank .model .model-content .data .data-item .table .t-body .tr .td.t-left {
  text-align: left;
}
#rank .model .model-content .data .data-item .table .t-body .tr .td.flex1 {
  flex: 1;
}
#rank .model .model-content .data .data-item .table .t-body .tr .td.w50 {
  width: 50px;
}
#rank .model .model-content .data .data-item .table .t-body .tr .td.w60 {
  width: 60px;
}
#rank .model .model-content .data .data-item .table .t-body .tr .td.w75 {
  width: 75px;
}
#rank .model .model-content .data .data-item .table .t-body .tr .td.w86 {
  width: 86px;
}
#rank .model .model-content .data .data-item .table .t-body .tr .td.w98 {
  width: 98px;
}
#rank .model .model-content .data .data-item .table .t-body .tr .td.w114 {
  width: 114px;
}
#rank .model .model-content .report {
  margin-top: 42px;
}
#rank .model .model-content .report .report-content {
  display: none;
  flex-wrap: wrap;
  gap: 52px;
}
#rank .model .model-content .report .report-content.show {
  display: flex;
}
#rank .model .model-content .report .report-content .report-item {
  width: 390px;
  display: flex;
  cursor: pointer;
}
#rank .model .model-content .report .report-content .report-item:hover .report-detail .report-title {
  color: #2E50FA;
}
#rank .model .model-content .report .report-content .report-item .img {
  width: 90px;
  height: 90px;
  background: #F4F4F6;
  border-radius: 4px;
  position: relative;
  padding: 10px 0;
}
#rank .model .model-content .report .report-content .report-item .img img {
  width: 118px;
  transform: translateX(-13px);
}
#rank .model .model-content .report .report-content .report-item .img .report-name {
  width: 43px;
  line-height: 10px;
  font-size: 8px;
  word-break: break-all;
  color: #393C5A;
  position: absolute;
  top: 22px;
  left: 28px;
}
#rank .model .model-content .report .report-content .report-item .img .report-name .name-text {
  max-height: 20px;
  white-space: normal;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}
#rank .model .model-content .report .report-content .report-item .img .report-name.item-1::after {
  background: #01AB95;
}
#rank .model .model-content .report .report-content .report-item .img .report-name.item-2::after {
  background: #2C94EE;
}
#rank .model .model-content .report .report-content .report-item .img .report-name.item-3::after {
  background: #627DF1;
}
#rank .model .model-content .report .report-content .report-item .img .report-name::after {
  content: '';
  width: 8px;
  height: 1px;
  position: absolute;
  left: 0;
  bottom: -6px;
}
#rank .model .model-content .report .report-content .report-item .report-detail {
  flex: 1;
  padding-left: 17px;
  overflow: hidden;
}
#rank .model .model-content .report .report-content .report-item .report-detail .report-title {
  line-height: 24px;
  font-size: 15px;
  color: #0B2D45;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  margin-bottom: 6px;
}
#rank .model .model-content .report .report-content .report-item .report-detail .info {
  display: flex;
}
#rank .model .model-content .report .report-content .report-item .report-detail .info .info-item {
  line-height: 18px;
  font-size: 14px;
  color: #6B7A8D;
  white-space: nowrap;
  margin-right: 24px;
}
#rank .model .model-content .report .report-content .report-item .report-detail .info .info-item:first-child {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
#rank .model .model-content .report .report-content .report-item .report-detail .info .info-item .icon {
  font-size: 15px;
  margin-right: 4px;
  vertical-align: top;
}
#rank .model .model-content .report .report-content .report-item .report-detail .tags {
  margin-top: 18px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  font-size: 14px;
}
#rank .model .model-content .report .report-content .report-item .report-detail .tags span {
  display: inline-block;
  line-height: 22px;
  font-size: 12px;
  color: #4A5568;
  padding: 0 15px;
  border: 1px solid #F1F1F1;
  border-radius: 4px;
  margin-right: 8px;
}
#rank .model .model-content .report .report-content .report-item .report-detail .tags span:last-child {
  margin: 0;
}
#rank .model .model-content .trends {
  margin-top: 42px;
}
#rank .model .model-content .trends .news-content {
  display: none;
  flex-direction: column;
  gap: 28px;
}
#rank .model .model-content .trends .news-content.show {
  display: flex;
}
#rank .model .model-content .trends .news-content .news-item {
  border-radius: 8px;
  display: flex;
  cursor: pointer;
}
#rank .model .model-content .trends .news-content .news-item:hover .img img {
  transform: scale(1.05);
}
#rank .model .model-content .trends .news-content .news-item:hover .item-detail .item-title {
  color: #2E50FA;
}
#rank .model .model-content .trends .news-content .news-item .img {
  width: 200px;
  height: 134px;
  background: #F7F8FA;
  border-radius: 6px;
  overflow: hidden;
  position: relative;
}
#rank .model .model-content .trends .news-content .news-item .img img {
  width: 100%;
  height: 100%;
  transition: all 0.3s ease-in-out;
}
#rank .model .model-content .trends .news-content .news-item .img .default-img {
  width: 100%;
  height: 100%;
  background: no-repeat center center;
  background-size: 100% 100%;
  position: relative;
}
#rank .model .model-content .trends .news-content .news-item .img .default-img.color-1 {
  background-image: url(/assets/images/medical/bg-news-img-1.png);
}
#rank .model .model-content .trends .news-content .news-item .img .default-img.color-1 .report-title {
  box-shadow: 0px 4px 4px 0px #FFE5BE;
}
#rank .model .model-content .trends .news-content .news-item .img .default-img.color-2 {
  background-image: url(/assets/images/medical/bg-news-img-2.png);
}
#rank .model .model-content .trends .news-content .news-item .img .default-img.color-2 .report-title {
  box-shadow: 0px 4px 4px 0px #BBEEEA;
}
#rank .model .model-content .trends .news-content .news-item .img .default-img.color-3 {
  background-image: url(/assets/images/medical/bg-news-img-3.png);
}
#rank .model .model-content .trends .news-content .news-item .img .default-img.color-3 .report-title {
  box-shadow: 0px 4px 4px 0px #D0DBF0;
}
#rank .model .model-content .trends .news-content .news-item .img .default-img .report-title {
  width: 172px;
  max-height: 64px;
  padding: 8px 12px;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0.87) 0%, rgba(255, 255, 255, 0.61) 100%);
  line-height: 24px;
  font-size: 14px;
  color: #39435A;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  border: 1px solid #FFFFFF;
  border-radius: 4px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -30%);
}
#rank .model .model-content .trends .news-content .news-item .img .tag {
  height: 24px;
  background: rgba(72, 72, 72, 0.5);
  padding: 4px 10px;
  line-height: 16px;
  font-size: 12px;
  color: #fff;
  text-align: center;
  border-radius: 4px;
  position: absolute;
  top: 8px;
  left: 8px;
}
#rank .model .model-content .trends .news-content .news-item .item-detail {
  flex: 1;
  padding-left: 18px;
  overflow: hidden;
}
#rank .model .model-content .trends .news-content .news-item .item-detail .item-title {
  line-height: 24px;
  font-size: 16px;
  font-weight: bold;
  color: #333;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  margin-bottom: 8px;
}
#rank .model .model-content .trends .news-content .news-item .item-detail .desc {
  height: 48px;
  line-height: 24px;
  font-size: 14px;
  color: #666;
  margin-bottom: 24px;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}
#rank .model .model-content .trends .news-content .news-item .item-detail .info {
  display: flex;
  font-size: 0;
}
#rank .model .model-content .trends .news-content .news-item .item-detail .info .info-item {
  line-height: 18px;
  font-size: 14px;
  color: #808080;
  margin-right: 16px;
}
#rank .model .model-content .trends .news-content .news-item .item-detail .info .info-item .icon {
  margin-right: 4px;
}
#rank .model .model-content .trends .news-content .news-item .item-detail .info .info-item:last-child {
  flex: 1;
  text-align: right;
  margin-left: 24px;
  margin-right: 0;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  line-height: 0;
}
#rank .model .model-content .trends .news-content .news-item .item-detail .info .info-item:last-child span {
  display: inline-block;
  line-height: 22px;
  font-size: 12px;
  padding: 0 7px;
  border: 1px solid #EDEEF2;
  border-radius: 4px;
  margin-right: 6px;
}
#rank .model .model-content .trends .news-content .news-item .item-detail .info .info-item:last-child span:last-child {
  margin: 0;
}
#rank .model .model-content .trends .news-content .news-item .item-detail .info .info-item:last-child span.color-1 {
  background: #E9F1FE;
  border: 1px solid #C8DDFF;
  color: #6D86FF;
}
#rank .model .model-content .trends .news-content .news-item .item-detail .info .info-item:last-child span.color-2 {
  background: #FEF3E9;
  border: 1px solid #FAE0C9;
  color: #E48C4D;
}
#rank .model .model-content .trends .zcfg-content {
  display: none;
  flex-direction: column;
  gap: 28px;
}
#rank .model .model-content .trends .zcfg-content.show {
  display: flex;
}
#rank .model .model-content .trends .zcfg-content .list-item {
  border-bottom: 1px solid #EDEEF2;
  padding-bottom: 24px;
  cursor: pointer;
}
#rank .model .model-content .trends .zcfg-content .list-item:hover .name {
  color: #2E50FA;
}
#rank .model .model-content .trends .zcfg-content .list-item .name {
  line-height: 21px;
  font-size: 16px;
  font-weight: bold;
  color: #39435A;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
#rank .model .model-content .trends .zcfg-content .list-item .info {
  display: flex;
  margin-top: 24px;
}
#rank .model .model-content .trends .zcfg-content .list-item .info-item {
  line-height: 18px;
  font-size: 14px;
  color: #777E8E;
  margin-right: 56px;
}
#rank .model .model-content .trends .zcfg-content .list-item .info-item .value {
  color: #39435A;
  margin-left: 8px;
}
#rank .images {
  font-size: 0;
  border-radius: 4px;
  overflow: hidden;
  margin-bottom: 50px;
}
#rank .images.mb-80 {
  margin-bottom: 80px;
}
#rank .images img {
  width: 100%;
}
